#
# START GAME MAIN
#
tag @a[tag=class_choosen] add ingame
scoreboard players set pl al 0
execute as @a[tag=ingame] run scoreboard players add pl al 1
scoreboard players set @a[] spread 0
execute if score is mod_selected matches 1.. run scoreboard players set active mod_selected 1
difficulty easy

clear @a[tag=ingame]
effect clear @a[tag=ingame]
effect give @a[tag=ingame] minecraft:slowness 5
effect give @a[tag=ingame] minecraft:blindness 5
effect give @a[tag=ingame] minecraft:resistance 10 200 false
effect give @a[tag=ingame] minecraft:regeneration 8 10 false
gamemode adventure @a[tag=ingame,gamemode=!adventure]
bossbar set minecraft:game_time players
tag @a remove spectator
scoreboard players set time start_timer 200 
scoreboard players set @a[tag=ingame] alive 1
scoreboard players set @a burger_limit 0
scoreboard players set @a soda_limit 0
scoreboard players set @a[tag=ingame] shop 0
clear @a[tag=ingame]
kill @e[tag=t_mob]
tag @a remove arch_abil_cd

#
# CLASSES SETUP
#
function classes:class_archer/start
function classes:class_healer/start
function classes:class_mage/start
function classes:class_ender/start
function classes:class_taker/start
function classes:class_alchemist/start
function classes:class_dmage/start
function classes:class_zealot/gamestart
function classes:class_bknight/start
function classes:class_creeper/start
function classes:class_shark/start
function classes:class_scout/start
function classes:class_troll/start
function classes:class_tamer/start

#
# MUSIC SETUP
#

function map:music


# TIMER START
bossbar set minecraft:game_time players @a
scoreboard players set time game_time 6000

### ARENA
execute if score map map = arena map run tellraw @a "\u00A79[Map] \u00A7eThe Fight begins on \u00A7cTHE PIT\u00A7e!"
execute if score map map matches 1 run spawnpoint @a[tag=ingame] -97 6 -73

execute if score map map matches 1 run scoreboard players set @a[tag=ingame] spread 1
execute if score map map matches 1 run spreadplayers -94 -112 3 13 false @a[tag=ingame]
execute if score map map matches 1 run execute at @a[scores={spread=1..},tag=ingame] run tp @p[scores={spread=1..},tag=ingame] ~ ~-54 ~
execute if score map map matches 1 run scoreboard players set @a[scores={spread=1..}] spread 0

### RAILWAY STATION
execute if score map map = station map run tellraw @a "\u00A79[Map] \u00A7eThe Fight begins on \u00A7cRAILWAY STATION\u00A7e!"
execute if score map map matches 2 run spawnpoint @a[tag=ingame] 78 11 -13

execute if score map map matches 2 run scoreboard players set @a[tag=ingame] spread 1
execute if score map map matches 2 run spreadplayers 85 11 3 12 false @a[tag=ingame]
execute if score map map matches 2 run execute at @a[scores={spread=1..},tag=ingame] run tp @p[scores={spread=1..},tag=ingame] ~ ~-37 ~
execute if score map map matches 2 run scoreboard players set @a[scores={spread=1..}] spread 0

### NETHER
execute if score map map matches 3 run tellraw @a "\u00A79[Map] \u00A7eThe Fight begins on \u00A7cNETHER\u00A7e!"
execute if score map map matches 3 run spawnpoint @a[tag=ingame] -137 39 -54

execute if score map map matches 3 run effect give @a minecraft:fire_resistance 5 5
execute if score map map matches 3 run scoreboard players set @a[tag=ingame] spread 1
execute if score map map matches 3 run spreadplayers -155 -60 3 13 false @a[tag=ingame]
execute if score map map matches 3 run execute at @a[scores={spread=1..},tag=ingame] run tp @p[scores={spread=1..},tag=ingame] ~ ~-28 ~
execute if score map map matches 3 run scoreboard players set @a[scores={spread=1..}] spread 0

### GREENHOUSE
execute if score map map matches 4 run tellraw @a "\u00A79[Map] \u00A7eThe Fight begins on \u00A7cGREENHOUSE\u00A7e!"
execute if score map map matches 4 run spawnpoint @a[tag=ingame] -21 13 82 

execute if score map map matches 4 run scoreboard players set @a[tag=ingame] spread 1
execute if score map map matches 4 run execute at @a[scores={spread=1..},tag=ingame] run tp @a[scores={spread=1..}] 10 8 65
execute if score map map matches 4 run scoreboard players set @a[scores={spread=1..}] spread 0

### SKY
execute if score map map matches 5 run tellraw @a "\u00A79[Map] \u00A7eThe Fight begins on \u00A7cSKY ISLANDS\u00A7e!"
execute if score map map matches 5 run spawnpoint @a[tag=ingame] 1043 19 1016

execute if score map map matches 5 run scoreboard players set @a[tag=ingame] spread 1
execute if score map map matches 5 run spreadplayers 1046 1013 20 90 false @a[tag=ingame]
execute if score map map matches 5 run execute at @a[scores={spread=1..},tag=ingame] run tp @p[scores={spread=1..},tag=ingame] ~ ~25 ~
execute if score map map matches 5 run scoreboard players set @a[scores={spread=1..}] spread 0

### JAPAN
execute if score map map matches 6 run tellraw @a "\u00A79[Map] \u00A7eThe Fight begins on \u00A7c平等院 (Byōdō-in)\u00A7e!"
execute if score map map matches 6 run scoreboard players set @a[tag=ingame] spread 1
execute if score map map matches 6 run function map:startgame/random_japan
execute if score map map matches 6 run spawnpoint @a[tag=ingame] 55 11 -88
execute if score map map matches 6 run spreadplayers 106 -114 1 10 false @a[tag=ingame]
execute if score map map matches 6 run execute at @a[scores={spread=1..},tag=ingame] run tp @p ~ ~-32 ~
execute if score map map matches 6 run scoreboard players set @a[scores={spread=1..}] spread 0