# Timer
scoreboard players add @a[tag=p_in1] parkour_time 1
scoreboard players add @a[tag=p_in1,scores={parkour_time=21}] parkour_time_s 1
scoreboard players set @a[tag=p_in1,scores={parkour_time=21}] parkour_time 1

# Items
replaceitem entity @a[scores={shop=0},tag=p_in1] hotbar.0 minecraft:oak_door{Tags:[PI_abandon],display:{Name:"{\"text\":\"§cAbandon Parkour §7(F to Use)\"}"}}
replaceitem entity @a[scores={shop=0},tag=p_in1] hotbar.3 minecraft:heavy_weighted_pressure_plate{Tags:[PI_tp],display:{Name:"{\"text\":\"§aTeleport to Checkpoint §7(F to Use)\"}"}}
clear @a[tag=!p_in1] oak_door{Tags:[PI_abandon]}
clear @a[tag=!p_in1] minecraft:heavy_weighted_pressure_plate{Tags:[PI_tp]}
clear @a[scores={shop=1..}] oak_door{Tags:[PI_abandon]}
clear @a[scores={shop=1..}] minecraft:heavy_weighted_pressure_plate{Tags:[PI_tp]}

# Parkour Start
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tellraw @s "§aParkour has started!"
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run scoreboard players reset @s parkour_time
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run scoreboard players reset @s parkour_time_s
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_in1
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_ch1
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_ch2
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_ch3
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_ch4
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_ch5
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s remove p_ch6

execute as @a[tag=!p_in1] at @s if entity @e[tag=p_start,distance=..1] run tag @s add p_in1

# Checkpoint 1
execute as @a[tag=!p_in1,tag=!p_ch1] at @s if entity @e[tag=p_1,distance=..1] run tellraw @s "§cYou should start parkour first!"
execute as @a[tag=!p_in1,tag=!p_ch1] at @s if entity @e[tag=p_1,distance=..1] run tp @s 4 13.5 -1 180 0

execute as @a[tag=p_in1,tag=!p_ch1] at @s if entity @e[tag=p_1,distance=..1] run tellraw @s "§aCheckpoint #1 passed!"
execute as @a[tag=p_in1,tag=!p_ch1] at @s if entity @e[tag=p_1,distance=..1] run tag @s add p_ch1

# Checkpoint 2
execute as @a[tag=!p_ch1,tag=!p_ch2] at @s if entity @e[tag=p_2,distance=..1] run tellraw @s "§cYou missed a checkpoint!"
execute as @a[tag=!p_ch1,tag=!p_ch2] at @s if entity @e[tag=p_2,distance=..1] run tp @s 10 16 -21 135 -3

execute as @a[tag=p_in1,tag=!p_ch2] at @s if entity @e[tag=p_2,distance=..1] run tellraw @s "§aCheckpoint #2 passed!"
execute as @a[tag=p_in1,tag=!p_ch2] at @s if entity @e[tag=p_2,distance=..1] run tag @s add p_ch2

# Checkpoint 3
execute as @a[tag=!p_ch2,tag=!p_ch3] at @s if entity @e[tag=p_3,distance=..1] run tellraw @s "§cYou missed a checkpoint!"
execute as @a[tag=!p_ch2,tag=!p_ch3] at @s if entity @e[tag=p_3,distance=..1] run tp @s -11 18 -22 70 0

execute as @a[tag=p_in1,tag=!p_ch3] at @s if entity @e[tag=p_3,distance=..1] run tellraw @s "§aCheckpoint #3 passed!"
execute as @a[tag=p_in1,tag=!p_ch3] at @s if entity @e[tag=p_3,distance=..1] run tag @s add p_ch3

# Checkpoint 4
execute as @a[tag=!p_ch3,tag=!p_ch4] at @s if entity @e[tag=p_4,distance=..1] run tellraw @s "§cYou missed a checkpoint!"
execute as @a[tag=!p_ch3,tag=!p_ch4] at @s if entity @e[tag=p_4,distance=..1] run tp @s -25 16 7 65 2

execute as @a[tag=p_in1,tag=!p_ch4] at @s if entity @e[tag=p_4,distance=..1] run tellraw @s "§aCheckpoint #4 passed!"
execute as @a[tag=p_in1,tag=!p_ch4] at @s if entity @e[tag=p_4,distance=..1] run tag @s add p_ch4

# Checkpoint 5
execute as @a[tag=!p_ch4,tag=!p_ch5] at @s if entity @e[tag=p_5,distance=..1] run tellraw @s "§cYou missed a checkpoint!"
execute as @a[tag=!p_ch4,tag=!p_ch5] at @s if entity @e[tag=p_5,distance=..1] run tp @s -12 24 12 -135 0

execute as @a[tag=p_in1,tag=!p_ch5] at @s if entity @e[tag=p_5,distance=..1] run tellraw @s "§aCheckpoint #5 passed!"
execute as @a[tag=p_in1,tag=!p_ch5] at @s if entity @e[tag=p_5,distance=..1] run tag @s add p_ch5

# Checkpoint 6
execute as @a[tag=!p_ch5,tag=!p_ch6] at @s if entity @e[tag=p_6,distance=..1] run tellraw @s "§cYou missed a checkpoint!"
execute as @a[tag=!p_ch5,tag=!p_ch6] at @s if entity @e[tag=p_6,distance=..1] run tp @s 16 21.5 16 -45 55

execute as @a[tag=p_in1,tag=!p_ch6] at @s if entity @e[tag=p_6,distance=..1] run tellraw @s "§aCheckpoint #6 passed!"
execute as @a[tag=p_in1,tag=!p_ch6] at @s if entity @e[tag=p_6,distance=..1] run tag @s add p_ch6

# Parkour Finish
execute as @a[tag=!p_ch1,tag=!p_ch2,tag=!p_ch3,tag=!p_ch4,tag=!p_ch5,tag=!p_ch6,tag=p_in1] at @s if entity @e[tag=p_finish,distance=..1] run tellraw @s "§cYou cannot finish parkour without reaching all checkpoints!"
execute as @a[tag=!p_ch1,tag=!p_ch2,tag=!p_ch3,tag=!p_ch4,tag=!p_ch5,tag=!p_ch6,tag=p_in1] at @s if entity @e[tag=p_finish,distance=..1] run tp @s 22 16 8 0 0


execute as @a[tag=p_ch1,tag=p_ch2,tag=p_ch3,tag=p_ch4,tag=p_ch5,tag=p_ch6,tag=p_in1] at @s if entity @e[tag=p_finish,distance=..1] run tellraw @s [{"text":"§aYou have finished parkour in §e"},{"score":{"name":"*","objective":"parkour_time_s"}},{"text":"§as!"}]
execute as @a[tag=p_ch1,tag=p_ch2,tag=p_ch3,tag=p_ch4,tag=p_ch5,tag=p_ch6,tag=p_in1,tag=!p_finished] at @s if entity @e[tag=p_finish,distance=..1] run scoreboard players add @s coins 20000
execute as @a[tag=p_ch1,tag=p_ch2,tag=p_ch3,tag=p_ch4,tag=p_ch5,tag=p_ch6,tag=p_in1,tag=!p_finished] at @s if entity @e[tag=p_finish,distance=..1] run tellraw @s "§6+20,000 CatCoins (Parkour Challenge)"
execute as @a[tag=p_ch1,tag=p_ch2,tag=p_ch3,tag=p_ch4,tag=p_ch5,tag=p_ch6,tag=p_in1,tag=!p_finished] at @s if entity @e[tag=p_finish,distance=..1] run tag @s add p_finished
execute as @a[tag=p_ch1,tag=p_ch2,tag=p_ch3,tag=p_ch4,tag=p_ch5,tag=p_ch6,tag=p_in1] at @s if entity @e[tag=p_finish,distance=..1] run tag @s remove p_in1

execute as @a[tag=!p_in1] at @s if entity @e[tag=p_finish,distance=..1] run tellraw @s "§cThis is finish of the parkour. You need to start it first!"
execute as @a[tag=!p_in1] at @s if entity @e[tag=p_finish,distance=..1] run tp @s 22 16 8 0 0

# Anti-Class Parkour
execute as @a[tag=p_in1,tag=class_choosen] run tellraw @s "§cParkour Challenge failed because you have a class!"
execute as @a[tag=p_in1,tag=class_choosen] run tp @s 4 13.5 -1 180 0
execute as @a[tag=p_in1,tag=class_choosen] run tag @s remove p_in1
